/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package View;

import Entities.ACCOUNT;
import java.awt.Dimension;
import javax.swing.JRootPane;

/**
 *
 * @author raymo
 */
public class Inside1 extends javax.swing.JFrame {

    private static ACCOUNT account;
    private static Controller.Controller controller;
    private int typelogin;

    public int getTypelogin() {
        return typelogin;
    }

    public void setTypelogin(int typelogin) {
        this.typelogin = typelogin;
    }

    /**
     * Creates new form Inside
     */
    public Inside1(Controller.Controller controller) {

        setUndecorated(true);
        getRootPane().setWindowDecorationStyle(JRootPane.NONE);
        initComponents();
        this.controller = controller;
        this.account = controller.getAccount();
        typelogin = account.getROLE();

        RoleEmployee roleEmployee = new RoleEmployee();
        roleEmployee.setSize(pnlRole.getWidth(), pnlRole.getHeight());
        PanelInfo pInfo = new PanelInfo();
        pInfo.setSize(pnlInfo.getWidth(), pnlInfo.getHeight());
        EmployeeMenu employeeMenu = new EmployeeMenu();
        employeeMenu.setPreferredSize(new Dimension(110, 610));
        ShoppingTable customerTable = new ShoppingTable();
        customerTable.setSize(pnlTable.getWidth(), 530);
        customerTable.setLocation(0, PanelNavigator.getHeight() + 5);
        //customerTable.setPreferredSize(new Dimension(680,530));
        pnlTable.add(customerTable);
        pnlMenu.add(employeeMenu);
        pnlInfo.add(pInfo);
        pnlRole.add(roleEmployee);

        PanelNavigator panelNavigator = new PanelNavigator();
        panelNavigator.setSize(680, 70);
        PanelNavigator.add(panelNavigator);

        setLocationRelativeTo(null);
    }

    public ACCOUNT getAccount() {
        return account;
    }

    public void setAccount(ACCOUNT account) {
        this.account = account;
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        pnlMenu = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        btnExit = new javax.swing.JLabel();
        btnMinimize = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        jPanel4 = new javax.swing.JPanel();
        btnExitpnl = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        pnlRole = new javax.swing.JPanel();
        pnlInfo = new javax.swing.JPanel();
        pnlTable = new javax.swing.JPanel();
        PanelNavigator = new javax.swing.JPanel();
        jTextField1 = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setBackground(new java.awt.Color(255, 255, 255));
        setResizable(false);
        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        pnlMenu.setBackground(new java.awt.Color(0, 51, 102));
        getContentPane().add(pnlMenu, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 110, 610));

        jPanel2.setBackground(new java.awt.Color(71, 120, 197));

        btnExit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-close-window-25.png"))); // NOI18N
        btnExit.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnExitMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnExitMouseExited(evt);
            }
        });

        btnMinimize.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/minimize-window-25.png"))); // NOI18N
        btnMinimize.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnMinimizeMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnMinimizeMouseExited(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap(902, Short.MAX_VALUE)
                .addComponent(btnMinimize)
                .addGap(18, 18, 18)
                .addComponent(btnExit)
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(btnMinimize)
                    .addComponent(btnExit))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        getContentPane().add(jPanel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(110, 0, 980, 40));

        jPanel3.setBackground(new java.awt.Color(71, 120, 197));
        jPanel3.setMaximumSize(new java.awt.Dimension(300, 570));
        jPanel3.setMinimumSize(new java.awt.Dimension(300, 570));

        jPanel4.setBackground(new java.awt.Color(102, 153, 255));

        btnExitpnl.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-exit-25.png"))); // NOI18N
        btnExitpnl.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                btnExitpnlMouseEntered(evt);
            }
            public void mouseExited(java.awt.event.MouseEvent evt) {
                btnExitpnlMouseExited(evt);
            }
        });

        jLabel6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/42821308_679081405793179_4204224682964025344_n.jpg"))); // NOI18N

        jLabel7.setFont(new java.awt.Font("Times New Roman", 0, 36)); // NOI18N
        jLabel7.setForeground(new java.awt.Color(235, 253, 253));
        jLabel7.setText("Raymond");

        pnlRole.setBackground(new java.awt.Color(84, 125, 206));
        pnlRole.setMaximumSize(new java.awt.Dimension(300, 64));
        pnlRole.setMinimumSize(new java.awt.Dimension(300, 64));
        pnlRole.setPreferredSize(new java.awt.Dimension(300, 64));
        pnlRole.setLayout(null);

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jLabel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(18, 18, 18)
                .addComponent(btnExitpnl)
                .addGap(18, 18, 18))
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addComponent(pnlRole, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel6)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                                .addComponent(jLabel7, javax.swing.GroupLayout.PREFERRED_SIZE, 51, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(33, 33, 33))
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                                .addComponent(btnExitpnl)
                                .addGap(44, 44, 44)))))
                .addComponent(pnlRole, javax.swing.GroupLayout.PREFERRED_SIZE, 64, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, 0))
        );

        pnlInfo.setMaximumSize(new java.awt.Dimension(300, 350));
        pnlInfo.setMinimumSize(new java.awt.Dimension(300, 350));
        pnlInfo.setOpaque(false);
        pnlInfo.setPreferredSize(new java.awt.Dimension(300, 350));
        pnlInfo.setLayout(null);

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(jPanel4, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 0, Short.MAX_VALUE)
                    .addComponent(pnlInfo, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(0, 0, Short.MAX_VALUE))
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel3Layout.createSequentialGroup()
                .addGap(0, 0, 0)
                .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(pnlInfo, javax.swing.GroupLayout.PREFERRED_SIZE, 377, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(8, 8, 8))
        );

        getContentPane().add(jPanel3, new org.netbeans.lib.awtextra.AbsoluteConstraints(110, 40, 300, 570));

        pnlTable.setBackground(new java.awt.Color(255, 255, 255));
        pnlTable.setLayout(null);

        PanelNavigator.setBackground(new java.awt.Color(239, 244, 244));
        PanelNavigator.setMaximumSize(new java.awt.Dimension(680, 70));
        PanelNavigator.setMinimumSize(new java.awt.Dimension(680, 70));

        javax.swing.GroupLayout PanelNavigatorLayout = new javax.swing.GroupLayout(PanelNavigator);
        PanelNavigator.setLayout(PanelNavigatorLayout);
        PanelNavigatorLayout.setHorizontalGroup(
            PanelNavigatorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 680, Short.MAX_VALUE)
        );
        PanelNavigatorLayout.setVerticalGroup(
            PanelNavigatorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 70, Short.MAX_VALUE)
        );

        pnlTable.add(PanelNavigator);
        PanelNavigator.setBounds(0, 0, 680, 70);

        getContentPane().add(pnlTable, new org.netbeans.lib.awtextra.AbsoluteConstraints(410, 70, 680, 530));

        jTextField1.setText("Search");
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });
        getContentPane().add(jTextField1, new org.netbeans.lib.awtextra.AbsoluteConstraints(760, 40, 275, 30));

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-water-25.png"))); // NOI18N
        getContentPane().add(jLabel8, new org.netbeans.lib.awtextra.AbsoluteConstraints(1040, 40, -1, -1));

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextField1ActionPerformed

    private void btnExitMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMouseEntered
        // TODO add your handling code here:
        btnExit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-close-25.png")));
    }//GEN-LAST:event_btnExitMouseEntered

    private void btnExitMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitMouseExited
        // TODO add your handling code here:
        btnExit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-close-window-25.png")));
    }//GEN-LAST:event_btnExitMouseExited

    private void btnMinimizeMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnMinimizeMouseEntered
        // TODO add your handling code here:
        btnMinimize.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/hover-minimize-window-25.png")));
    }//GEN-LAST:event_btnMinimizeMouseEntered

    private void btnMinimizeMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnMinimizeMouseExited
        // TODO add your handling code here:
        btnMinimize.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/minimize-window-25.png")));
    }//GEN-LAST:event_btnMinimizeMouseExited

    private void btnExitpnlMouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitpnlMouseEntered
        // TODO add your handling code here:
        btnExitpnl.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-enter-25.png")));
    }//GEN-LAST:event_btnExitpnlMouseEntered

    private void btnExitpnlMouseExited(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_btnExitpnlMouseExited
        // TODO add your handling code here:
        btnExitpnl.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Image/icons8-exit-25.png")));
    }//GEN-LAST:event_btnExitpnlMouseExited


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel PanelNavigator;
    private javax.swing.JLabel btnExit;
    private javax.swing.JLabel btnExitpnl;
    private javax.swing.JLabel btnMinimize;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JPanel pnlInfo;
    private javax.swing.JPanel pnlMenu;
    private javax.swing.JPanel pnlRole;
    private javax.swing.JPanel pnlTable;
    // End of variables declaration//GEN-END:variables
}
